<?php
#------------------------------------------------------#
#               本程序为zChain.net提供                 #
#                zChain论坛(ZBB)v2.00                  #
#------------------------------------------------------#
# INPUT[GET] : $user

require "bin/config.php";
require "bin/common.php";

require_once('core/class_forum_base.php');
CForumBase::setFileBase("$filepath");
require_once('core/base_memo_file.php');
require_once('core/class_user.php');

if($f_user){
 $oUsr=new CUser;
 if(!$oUsr->load($f_user)){errorview("对不起，系统中没有此用户的资料!");}
 if("$f_year-$f_month-$f_day" != $oUsr->birthday){
  errorview("对不起，身份识别信息错误，不能生成新密码!");
 }
 $tpass=md5(time());
 $tpass=strtolower(substr($tpass,0,6));
 $oUsr->password=md5($tpass);
 $oUsr->store($f_user);

 $sendto="$oUsr->email";
 $subject="遗忘密码通知";
 $message="
您的帐号是:{$oUsr->name}　系统为您新生成密码是:{$tpass}\n
您可以进入论坛的修改用户资料功能修改您的密码。\n\n
免费论坛服务由 $hpname($hpurl) 提供　程序制作：zChain.net(http://www.zchain.net)";

 mail($sendto,$subject,$message);

#--- Display result ---
page_header('取得遗忘密码');
print "<CENTER>";
$posText=getRootText()." >> 取得遗忘密码";
menu_bar($posText,'');

$linkText=($ck_root || !$ck_bid) ?
 "<a href=viewblist.php>进入 $commname</a>" :
 "<a href=viewboard.php?bid=$ck_bid>进入 $ck_bname</a>";

 print <<<EOT
<BR><BR><BR>
<table cellspacing=1 cellpadding=5 width=350 class=forumLine>
<tr><td align=center class=rowCaption>取得遗忘密码</td></tr>
<tr><td class=row1>
密码已经发送到 {$oUsr->email} 信箱了，请去收信！
</td></tr>
</table>
<br>[$linkText]
</CENTER>
EOT;

 page_footer();
 exit;
}

#--- Display header ---
page_header('取得遗忘密码');
print "<CENTER>";
$posText=getRootText()." >> 取得遗忘密码";
menu_bar($posText,'');

print <<<EOT
<BR><BR><BR>
<form name=form method=POST>
<TABLE width=360 cellSpacing=1 cellPadding=5 border=0 class="forumLine">
<TR><TD align=center class="rowCaption">取得遗忘密码</TD></TR>
<TR><TD class="row1">
请输入您的用户名，系统将为您生成一个新密码并email发送给您。
老的密码将会被删除！
</TD></TR>
<TR><TD class="row2">
用户姓名: <INPUT name=f_user class=plain><br><br>
您的生日: <INPUT name=f_year size=4 maxlength=4>年
<select name="f_month">
 <option>01</option><option>02</option><option>03</option><option>04</option>
 <option>05</option><option>06</option><option>07</option><option>08</option>
 <option>09</option><option>10</option><option>11</option><option>12</option>
</select>月
<select name="f_day">
 <option>01</option><option>02</option><option>03</option><option>04</option>
 <option>05</option><option>06</option><option>07</option><option>08</option>
 <option>09</option><option>10</option><option>11</option><option>12</option>
 <option>13</option><option>14</option><option>15</option><option>16</option>
 <option>17</option><option>18</option><option>19</option><option>20</option>
 <option>21</option><option>22</option><option>23</option><option>24</option>
 <option>25</option><option>26</option><option>27</option><option>28</option>
 <option>29</option><option>30</option><option>31</option>
</select>日&nbsp;&nbsp; 
<INPUT title=Send style="FONT-SIZE: 9pt" type=submit value="取得密码">
</TD></TR>
</TABLE>
</form>
<a href=javascript:history.back();><IMG src=$imgurl/back.gif border=0></a>
</CENTER>
<script language="JavaScript">document.form.f_user.focus();</script>
EOT;

#--- Print footer ---
page_footer();

?>

